Taiga
API ReferenceCharge CaptureV1

Update charge capture

PATCH
/api/charge_captures/v1/{charge_capture_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Path Parameters

charge_capture_id*ChargeCaptureId
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/charge_captures/v1/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "planned",  "charge_capture_data": {    "vitals": {      "height_in": 0,      "weight_lbs": 0,      "blood_pressure_systolic_mmhg": 0,      "blood_pressure_diastolic_mmhg": 0,      "body_temperature_f": 0,      "hemoglobin_gdl": 0,      "hematocrit_pct": 0    },    "diagnoses": [      {        "name": "string",        "code_type": "ABF",        "code": "string",        "present_on_admission_indicator": "YES"      }    ],    "clinical_notes": [      {        "category": "clinical",        "notes": [          {            "text": "string",            "author_name": "string",            "author_npi": "string",            "timestamp": "2019-08-24T14:15:22Z"          }        ]      }    ],    "claim_supplemental_information": [      {        "attachment_report_type_code": "03",        "attachment_transmission_code": "BM",        "attachment_control_number": "string"      }    ],    "epsdt_referral": {      "condition_indicator1": "AV",      "condition_indicator2": "AV",      "condition_indicator3": "AV"    },    "existing_medications": [      {        "name": "string",        "rx_cui": "string",        "dosage": "string",        "dosage_form": "string",        "frequency": "string",        "as_needed": true      }    ],    "guarantor": {      "first_name": "string",      "last_name": "string",      "external_id": "string",      "date_of_birth": "2019-08-24",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "phone_numbers": [        {          "number": "string",          "type": "Home"        }      ],      "phone_consent": true,      "email": "string",      "email_consent": true,      "auto_charge_consent": true    },    "subscriber_primary": {      "insurance_card": {        "group_number": "string",        "plan_name": "string",        "plan_type": "09",        "insurance_type": "01",        "payer_plan_group_id": "166be4f9-7019-434a-a528-4fd642d5501d",        "payer_address": {          "zip_plus_four_code": "string",          "address1": "string",          "address2": "string",          "city": "string",          "state": "AA",          "zip_code": "string"        },        "member_id": "string",        "payer_name": "string",        "payer_id": "string",        "rx_bin": "string",        "rx_pcn": "string",        "image_url_front": "string",        "image_url_back": "string",        "emr_payer_crosswalk": "HEALTHIE",        "payer_plan_group_name": "string"      },      "patient_relationship_to_subscriber_code": "01",      "date_of_birth": "2019-08-24",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "first_name": "string",      "last_name": "string",      "gender": "male"    },    "subscriber_secondary": {      "insurance_card": {        "group_number": "string",        "plan_name": "string",        "plan_type": "09",        "insurance_type": "01",        "payer_plan_group_id": "166be4f9-7019-434a-a528-4fd642d5501d",        "payer_address": {          "zip_plus_four_code": "string",          "address1": "string",          "address2": "string",          "city": "string",          "state": "AA",          "zip_code": "string"        },        "member_id": "string",        "payer_name": "string",        "payer_id": "string",        "rx_bin": "string",        "rx_pcn": "string",        "image_url_front": "string",        "image_url_back": "string",        "emr_payer_crosswalk": "HEALTHIE",        "payer_plan_group_name": "string"      },      "patient_relationship_to_subscriber_code": "01",      "date_of_birth": "2019-08-24",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "first_name": "string",      "last_name": "string",      "gender": "male"    },    "subscriber_tertiary": {      "insurance_card": {        "group_number": "string",        "plan_name": "string",        "plan_type": "09",        "insurance_type": "01",        "payer_plan_group_id": "166be4f9-7019-434a-a528-4fd642d5501d",        "payer_address": {          "zip_plus_four_code": "string",          "address1": "string",          "address2": "string",          "city": "string",          "state": "AA",          "zip_code": "string"        },        "member_id": "string",        "payer_name": "string",        "payer_id": "string",        "rx_bin": "string",        "rx_pcn": "string",        "image_url_front": "string",        "image_url_back": "string",        "emr_payer_crosswalk": "HEALTHIE",        "payer_plan_group_name": "string"      },      "patient_relationship_to_subscriber_code": "01",      "date_of_birth": "2019-08-24",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "first_name": "string",      "last_name": "string",      "gender": "male"    },    "interventions": [      {        "name": "string",        "category": "allopathic",        "description": "string",        "medication": {          "name": "string",          "rx_cui": "string",          "dosage": "string",          "dosage_form": "string",          "frequency": "string",          "as_needed": true        },        "labs": [          {            "name": "string",            "code": "string",            "code_type": "quest"          }        ]      }    ],    "schema_instances": [      {        "schema_id": "9c37f32d-8308-4815-9b0d-83fa3c1b25f9",        "content": {}      }    ],    "external_claim_submission": {      "claim_created_at": "2019-08-24T14:15:22Z",      "patient_control_number": "string",      "submission_records": [        {          "submitted_at": "2019-08-24T14:15:22Z",          "claim_frequency_code": "0",          "payer_responsibility": "primary",          "intended_submission_medium": "paper"        }      ]    },    "service_lines": [      {        "modifiers": [          "AV"        ],        "has_epsdt_indicator": true,        "has_family_planning_indicator": true,        "procedure_code": "string",        "quantity": "string",        "units": "MJ",        "charge_amount_cents": 0,        "diagnosis_pointers": [          0        ],        "drug_identification": {          "service_id_qualifier": "EN",          "national_drug_code": "string",          "national_drug_unit_count": "string",          "measurement_unit_code": "ML",          "link_sequence_number": "string",          "pharmacy_prescription_number": "string",          "conversion_formula": "string",          "drug_description": "string"        },        "place_of_service_code": "01",        "description": "string",        "date_of_service": "2019-08-24",        "end_date_of_service": "2019-08-24",        "ordering_provider": {          "npi": "string",          "taxonomy_code": "string",          "address": {            "zip_plus_four_code": "string",            "address1": "string",            "address2": "string",            "city": "string",            "state": "AA",            "zip_code": "string"          },          "first_name": "string",          "last_name": "string",          "organization_name": "string"        },        "test_results": [          {            "value": 0,            "result_type": "HEMATOCRIT"          }        ],        "note": "string",        "revenue_code": "string",        "prior_authorization_number": "string",        "external_id": "string"      }    ],    "patient_histories": [      {        "category": "present_illness",        "questions": [          {            "id": "string",            "text": "string",            "responses": [              {                "response": "string",                "follow_ups": [                  {                    "id": "string",                    "text": "string",                    "response": "string"                  }                ]              }            ]          }        ]      }    ],    "billing_notes": [      {        "text": "string"      }    ],    "patient": {      "first_name": "string",      "last_name": "string",      "gender": "male",      "external_id": "string",      "date_of_birth": "2019-08-24",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "phone_numbers": [        {          "number": "string",          "type": "Home"        }      ],      "phone_consent": true,      "email": "string",      "email_consent": true,      "auto_charge_consent": true,      "non_insurance_payers": [        "b113ef89-52ef-4084-a0ff-a32da62c2b4c"      ],      "non_insurance_payers_info": [        {          "non_insurance_payer_id": "8aaf7567-cd3d-41a3-9d13-4e727c1f7ad1",          "member_id": "string",          "clinical_trial_info": [            {              "clinical_trial_arm": "string",              "clinical_trial_id": "656d392d-2bad-45a1-bb5d-94637107f232"            }          ]        }      ]    },    "service_facility": {      "organization_name": "string",      "npi": "string",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "secondary_identification": "string",      "mammography_certification_number": "string"    },    "service_facility_id": "58baa28e-b455-455b-9312-24927ab2d970",    "rendering_provider": {      "npi": "string",      "taxonomy_code": "string",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "secondary_identification": {        "reference_identification": "string",        "reference_identification_qualifier": "0B"      },      "first_name": "string",      "last_name": "string",      "organization_name": "string"    },    "initial_referring_provider": {      "npi": "string",      "taxonomy_code": "string",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "qualifier": "DQ",      "secondary_identification": {        "reference_identification": "string",        "reference_identification_qualifier": "0B"      },      "first_name": "string",      "last_name": "string",      "organization_name": "string"    },    "referring_provider": {      "npi": "string",      "taxonomy_code": "string",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "secondary_identification": {        "reference_identification": "string",        "reference_identification_qualifier": "0B"      },      "first_name": "string",      "last_name": "string",      "organization_name": "string"    },    "supervising_provider": {      "npi": "string",      "taxonomy_code": "string",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "secondary_identification": {        "reference_identification": "string",        "reference_identification_qualifier": "0B"      },      "first_name": "string",      "last_name": "string",      "organization_name": "string"    },    "treating_provider": {      "first_name": "string",      "last_name": "string",      "npi": "string",      "taxonomy_code": "string",      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "license_type": "MD"    },    "billing_provider": {      "address": {        "zip_plus_four_code": "string",        "address1": "string",        "address2": "string",        "city": "string",        "state": "AA",        "zip_code": "string"      },      "tax_id": "string",      "npi": "string",      "taxonomy_code": "string",      "provider_commercial_license_type": "0",      "secondary_identification": {        "reference_identification": "string",        "reference_identification_qualifier": "G2"      },      "first_name": "string",      "last_name": "string",      "organization_name": "string"    },    "pay_to_address": {      "zip_plus_four_code": "string",      "address1": "string",      "address2": "string",      "city": "string",      "state": "AA",      "zip_code": "string"    },    "related_causes_information": {      "related_causes_code_1": "AA",      "related_causes_code_2": "AA",      "state_or_province_code": "string"    },    "property_casualty_claim_number": "string",    "accident_date": "2019-08-24",    "property_casualty_patient_identifier": {      "property_casualty_patient_identifier_qualifier": "1W",      "property_casualty_patient_identifier": "string"    },    "benefits_assigned_to_provider": true,    "prior_authorization_number": "string",    "external_id": "string",    "date_of_service": "2019-08-24",    "tag_ids": [      "string"    ],    "billable_status": "BILLABLE",    "responsible_party": "INSURANCE_PAY",    "provider_accepts_assignment": true,    "synchronicity": "Synchronous",    "place_of_service_code": "01",    "appointment_type": "string",    "end_date_of_service": "2019-08-24",    "additional_information": "string",    "service_authorization_exception_code": "1",    "admission_date": "2019-08-24",    "discharge_date": "2019-08-24",    "onset_of_current_illness_or_symptom_date": "2019-08-24",    "last_menstrual_period_date": "2019-08-24",    "delay_reason_code": "1",    "patient_authorized_release": true,    "referral_number": "string",    "secondary_payer_carrier_code": "string"  },  "date_of_service": "2019-08-24",  "patient_external_id": "string",  "charge_external_id": "string",  "ehr_source_url": "string",  "originating_system": "string",  "claim_creation_category": "string",  "metadata": [    {      "schema_id": "9c37f32d-8308-4815-9b0d-83fa3c1b25f9",      "content": {}    }  ],  "error": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "charge_capture_id": "dac2e7fc-e1d7-40e0-91e6-b5f1f2080494",    "message": "string",    "resolved": true,    "resolved_by": "string",    "resolution_reason": "string",    "field_in_error": "string",    "claim_creation_id": "9a134162-d4e8-46bc-8336-94faf8779b88"  },  "updates": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "message": "string",      "resolved": true    }  ],  "claim_creation_id": "9a134162-d4e8-46bc-8336-94faf8779b88"}